complexType "PCDeliverableObligationCharac"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | applicable?, partialCashSettlement?
</...>

Content Model Elements (2):

  applicable (defined in PCDeliverableObligationCharac complexType),
  partialCashSettlement

Known Direct Subtypes (1):

  LoanParticipation

All Direct / Indirect Based Elements (4):

  assignableLoan, consentRequiredLoan, directLoanParticipation, indirectLoanParticipation

Known Usage Locations

- In derivations of other global types (1):
  LoanParticipation (as extension base)
- As direct type of elements (2):
  assignableLoan, consentRequiredLoan

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PCDeliverableObligationCharac"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="partialCashSettlement" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
applicable

  Type: | xsd:boolean, predefined, simple content

  Indicates whether the provision is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/>

partialCashSettlement

  Type: | xsd:boolean, predefined, simple content

  Specifies whether either 'Partial Cash Settlement of Assignable Loans', 'Partial Cash Settlement of Consent Required Loans' or 'Partial Cash Settlement of Participations' is applicable. If this element is specified and Assignable Loan is a Deliverable Obligation Chracteristic, any Assignable Loan that is deliverable, but where a non-receipt of Consent by the Physical Settlement Date has occurred, the Loan can be cash settled rather than physically delivered. If this element is specified and Consent Required Loan is a Deliverable Obligation Characterisitc, any Consent Required Loan that is deliverable, but where a non-receipt of Consent by the Physical Settlement Date has occurred, the Loan can be cash settled rather than physically delivered. If this element is specified and Direct Loan Participation is a Deliverable Obligation Characterisitic, any Participation that is deliverable, but where this participation has not been effected (has not come into effect) by the Physical Settlement Date, the participation can be cash settled rather than physically delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partialCashSettlement" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.